Skip to main content
POST
/
v1
/
tapapi
/
images
/
advanced
curl --request POST \ --url https://api.example.com/v1/tapapi/images/advanced \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "fal-ai/z-image/turbo", "prompt": "a red apple on a wooden table" } '
{
  "created": 123,
  "data": [
    {
      "url": "<string>",
      "b64_json": "<string>",
      "revised_prompt": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tapapi.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

Body

application/json
model
string
required

模型名 · 必填

Example:

"fal-ai/flux-pro/v1.1"

prompt
string
required

提示词 · 必填

Example:

"a red apple on wooden table"

n
integer
default:1

生成图片数量

Required range: 1 <= x <= 10
size
string

尺寸 · 接受 enum (square_hd/landscape_4_3/portrait_4_3/landscape_16_9/portrait_16_9) 或 WxH 如 1024x1024 · 也接受 aspect_ratio 比例风格 (1:1/16:9/9:16) · channel.param_override 自动映射上游字段

Example:

"square_hd"

image_urls
string[]

图生图多参考图 URLs · 跨境电商主玩法 (nano-banana/Seedream 主力) · ≤ 14 张

seed
integer

随机种子 · 0-4294967295 · 复现同样图必用

output_format
enum<string>
default:png

输出格式

Available options:
png,
jpeg,
webp
response_format
enum<string>
default:url

响应格式 · url 默认 · b64_json 触发 fal sync_mode 返 data URI

Available options:
url,
b64_json
webhook
string

异步回调 URL · ⚠️ D60+ 实施 · 当前传值返 400 friendly hint

Example:

"https://your-server.com/callback"

extra
object

untyped 透传袋 · 任意 vendor 私有字段塞这里 · 永不冻结 · 例: guidance_scale/safety_tolerance/lora_id/acceleration/num_inference_steps/enhance_prompt/style/image_strength/controlnet_image_url

Response

成功 · OpenAI 兼容响应

created
integer
data
object[]